Results 1 to 3 of 3

Thread: [ERR] Unable to load required framework: [email protected]

  1. #1
    Sencha User
    Join Date
    May 2017
    Posts
    3

    Default [ERR] Unable to load required framework: [email protected]

    While trying to build/publish my app I get the error of '[ERR] Unable to load required framework: [email protected]' in my output window of VS, and in the error list page I get
    The command "C:\Dev\Frameworks\Cmd\6.5.0.180\sencha.exe app build" exited with code 321.

    I am not sure what is going on here and I have tried rebuilding multiple times.

    I am running cmd 6.5.0.180 and ext 6.2.1.167

  2. #2
    Sencha User
    Join Date
    Feb 2013
    Location
    California
    Posts
    11,985

    Default

    Do you get any more information if you run the build in debug mode?
    C:\Dev\Frameworks\Cmd\6.5.0.180\sencha.exe -d app build

  3. #3
    Sencha User
    Join Date
    May 2017
    Posts
    3

    Default

    I ran that and got a 'was last modified by a different version of cmd'. I then set the path to the from the tools>senchca>cmd to the right version(6.2.1.29) but I am still getting the same error.

    The command "C:\Dev\Frameworks\Cmd\6.2.1.29\sencha.exe app build" exited with code 321.

    It is pointing to a file called

    ProjectName.Web.wpp.targets file on line 34 from my Web project.

    <ItemGroup>
    <_CustomFiles Include="obj\Release Qa\Package\PackageTmp\build\production\**\*;Sencha\build\production\**\*;obj\Release Qa\Package\PackageTmp\build\production\**\*;Sencha\build\production\**\*;obj\Release Qa\Package\PackageTmp\build\production\**\*;Sencha\build\production\**\*;obj\Release Qa\Package\PackageTmp\build\production\**\*;Sencha\build\production\**\*" />
    <FilesForPackagingFromProject Include="%(_CustomFiles.Identity)">
    <DestinationRelativePath>%(RecursiveDir)%(Filename)%(Extension)</DestinationRelativePath>
    </FilesForPackagingFromProject> <-- This is line 34
    </ItemGroup>


    Would this have anything to do with our webconfig transformation files were deleted and we don't currently have any, and I am trying to push to QA.

Similar Threads

  1. Generate App - Unable to locate supported framework
    By joelowrance in forum Sencha Cmd
    Replies: 5
    Last Post: 14 Apr 2017, 7:55 PM
  2. Replies: 4
    Last Post: 26 Feb 2016, 8:34 AM
  3. Loader unable to find controller - Codeigniter framework
    By romerve in forum Ext: Discussion
    Replies: 1
    Last Post: 28 Oct 2011, 8:56 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •